Subject: Re: [Ace] draft-tschofenig-ace-overview-00.txt

From: Sandeep Kumar <[email-masked]>
Date: Sun, 2 Mar 2014 09:09:12 +0100

Agree with Göran that MIKEY is a very promising algorithm for the IoT
domain.
There has been some work to adapt it to the context of LLN,  AMIKEY
http://tools.ietf.org/html/draft-alexander-roll-mikey-lln-key-mgmt-04
That work seems to have stopped progressing. Good to check how (A)MIKEY can
be used in the ACE context.

regards
Sandeep

On Fri, Feb 28, 2014 at 2:58 PM, Göran Selander <[email-masked]
> wrote:

> Hi Hannes,
>
> I have read your draft and I think it is motivating well the usefulness of
> a three party protocol and the candidate protocols in this context. I
> would like to add to the list of candidate protocols the Multimedia
> Internet KEYing protocol (MIKEY, RFC 3830), or more specifically
> MIKEY-TICKET (RFC 6043).
>
> MIKEY is a lightweight key management protocol designed for peer-to-peer,
> one-to-many and small sized groups. MICKEY-TICKET is specifically
> addressing the case of a trusted key management service (³Authorization
> Server²) like other three party authentication protocols considered and
> reuses the ticket concept from Kerberos, but also adds e.g. public-key
> encryption-based key distribution and, as mentioned, group key management.
> It also has the concept of ³Ticket Policy² containing certain
> authorization information.
>
> Clearly, Kerberos is more widely deployed, but I think this protocol
> merits to be considered in the evaluation.
>
>
> Göran
>
>
>
> On 16/02/14 14:15, "Hannes Tschofenig" <[email-masked]> wrote:
>
> >Hi all,
> >
> >last Friday I have submitted a document that informs about available
> >three party authentication and authorization protocols developed in the
> >IETF.
> >
> >The described security protocols are Kerberos, OAuth, ABFAB (which
> >builds on the AAA/EAP architecture), and the certificate/PKI model.
> >With each protocol I provide references to the relevant specifications
> >and a discussion about the pros & cons. As you can imagine, there was a
> >lot of standardization work on each of these protocols and quite
> >naturally there are many extensions available. Not all of them are
> >relevant for the IoT context.
> >
> >I have not yet tried to map the features of the protocols against the
> >use cases and requirements since those are obviously still in flux. For
> >a future version of the document this is, however, the goal.
> >
> >In any case, here is the document:
> >http://tools.ietf.org/html/draft-tschofenig-ace-overview-00
> >
> >I am looking forward to see your reaction to the document.
> >
> >Ciao
> >Hannes
> >
> >
>
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace
>

---

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 03 Mar 2014 12:37:02 +0100

I don't understand how MIKEY fits in here. I will have a look at the
draft before I say something stupid.

Ciao
Hannes

On 03/02/2014 09:09 AM, Sandeep Kumar wrote:
> That work seems to have stopped progressing. Good to check how (A)MIKEY
> can be used in the ACE context.
> 
> regards
> Sandeep
> 
> 
> On Fri, Feb 28, 2014 at 2:58 PM, Göran Selander
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Hi Hannes,
> 
>     On 16/02/14 14:15, "Hannes Tschofenig" <[email-masked]
>     <mailto:[email-masked]>> wrote:
> 
>     >Hi all,
>     >
>     [email-masked] <mailto:[email-masked]>